PfbParser
Date: 2017-05-25

org.apache.fontbox.pfb

## Class PfbParser

- java.lang.Object
- - org.apache.fontbox.pfb.PfbParser

-     public class PfbParser
      extends java.lang.Object

  Parser for a pfb-file.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `PfbParser(byte[] bytes)` Create a new object.
    `PfbParser(java.io.InputStream in)` Create a new object.
    `PfbParser(java.lang.String filename)` Create a new object.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.io.InputStream` | `getInputStream()` Returns the pfb data as stream.
    `int[]` | `getLengths()` Returns the lengths.
    `byte[]` | `getPfbdata()` Returns the pfbdata.
    `byte[]` | `getSegment1()` Returns the first segment
    `byte[]` | `getSegment2()` Returns the second segment
    `int` | `size()` Returns the size of the pfb-data.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### PfbParser

          public PfbParser(java.lang.String filename)
                    throws java.io.IOException

      Create a new object.
      Parameters:
        `filename` - the file name
      Throws:
        `java.io.IOException` - if an IO-error occurs.

    - #### PfbParser

          public PfbParser(java.io.InputStream in)
                    throws java.io.IOException

      Create a new object.
      Parameters:
        `in` - The input.
      Throws:
        `java.io.IOException` - if an IO-error occurs.

    - #### PfbParser

          public PfbParser(byte[] bytes)
                    throws java.io.IOException

      Create a new object.
      Parameters:
        `bytes` - The input.
      Throws:
        `java.io.IOException` - if an IO-error occurs.

  - ### Method Detail

    - #### getLengths

          public int[] getLengths()

      Returns the lengths.
      Returns:
        Returns the lengths.

    - #### getPfbdata

          public byte[] getPfbdata()

      Returns the pfbdata.
      Returns:
        Returns the pfbdata.

    - #### getInputStream

          public java.io.InputStream getInputStream()

      Returns the pfb data as stream.
      Returns:
        Returns the pfb data as stream.

    - #### size

          public int size()

      Returns the size of the pfb-data.
      Returns:
        Returns the size of the pfb-data.

    - #### getSegment1

          public byte[] getSegment1()

      Returns the first segment
      Returns:
        first segment bytes

    - #### getSegment2

          public byte[] getSegment2()

      Returns the second segment
      Returns:
        second segment bytes